## jupyter-notebook 4.2.3

=== debian/changelog ===
jupyter-notebook (4.2.3-4+deb9u2) stretch-security; urgency=high

  * CVE-2020-26215: Prevent an issue where a maliciously crafted link to a
    notebook server could redirect the browser to a malicious/spoofed website.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Dec 2020 10:07:17 +0000

jupyter-notebook (4.2.3-4+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2018-19351:  XSS via an untrusted notebook because
    nbconvert responses are considered to have the same origin
    as the notebook server.(Closes: #917409)
  * Fix CVE-2018-21030: does not use a CSP header to treat served
    files as belonging to a separate origin
  * CVE-2018-8768: a maliciously forged notebook file can bypass
    sanitization to execute JavaScript in the notebook context
    (Closes: #893436)

 -- Abhijith PA <abhijith@debian.org>  Mon, 02 Nov 2020 11:30:31 +0530

jupyter-notebook (4.2.3-4) unstable; urgency=medium

  * Clean up handling of the /etc/jupyter/nbconfig dir in maintscripts
  * Patch out the attempt to automatically import ipywidgets, which isn't
    required for ipywidgets > 4, and avoids an unneeded warning
    (closes: #848252)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Jan 2017 11:46:16 +0100

jupyter-notebook (4.2.3-3) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Fix build breakage with requirejs 2.3
  * Add a systemd user unit (jupyter-notebook.service)

  [ Ximin Luo ]
  * Notify people that this package exists. (Closes: #844569)

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Dec 2016 11:32:55 +0100

jupyter-notebook (4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Build source maps reproducibly (Closes: #847192)
  * Add some maintscripts to claim ownership of nbextension config files.
    Otherwise piuparts will fail notebook extension packages.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Dec 2016 22:51:21 +0100

jupyter-notebook (4.2.3-1) unstable; urgency=medium

  * Initial release (closes: #801366).

 -- Gordon Ball <gordon@chronitis.net>  Fri, 04 Nov 2016 14:54:21 +0100
