=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/notebook
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-setuptools,
               python3-nose <!nocheck>,
               python3-requests <!nocheck>,
               python3-ipython (>= 4) <!nocheck>,
               python3-jupyter-core <!nocheck>,
               python3-jupyter-client <!nocheck>,
               python3-tornado <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-nbconvert <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-terminado <!nocheck>,
               python3-entrypoints <!nocheck>,
               python3-zmq <!nocheck>,
               python-all,
               python-setuptools,
               python-nose <!nocheck>,
               python-requests <!nocheck>,
               python-ipython (>= 4) <!nocheck>,
               python-jupyter-core <!nocheck>,
               python-jupyter-client <!nocheck>,
               python-tornado <!nocheck>,
               python-nbformat <!nocheck>,
               python-nbconvert <!nocheck>,
               python-ipykernel <!nocheck>,
               python-terminado <!nocheck>,
               python-entrypoints <!nocheck>,
               python-zmq <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               libjs-backbone (>= 1.2),
               libjs-bootstrap (>= 3.3),
               libjs-bootstrap-tour (>= 0.9),
               libjs-codemirror,
               libjs-es6-promise (>= 1.0),
               fonts-font-awesome (>= 4.2),
               libjs-jquery,
               libjs-jquery-ui (>= 1.12),
               libjs-marked (>= 0.3),
               libjs-mathjax (>= 2.5),
               libjs-moment (>= 2.8.4),
               libjs-requirejs (>= 2.1),
               libjs-term.js,
               libjs-text-encoding (>= 0.1),
               libjs-underscore (>= 1.5),
               libjs-jquery-typeahead (>= 2.0),
               nodejs,
               node-less (>= 1.5),
               node-source-map,
               node-requirejs (>= 2.3),
               node-uglify
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-terminado (>= 0.3.3),
         libjs-backbone (>= 1.2),
         libjs-bootstrap (>= 3.3),
         libjs-bootstrap-tour (>= 0.9),
         libjs-codemirror,
         libjs-es6-promise (>= 1.0),
         fonts-font-awesome (>= 4.2),
         libjs-jquery,
         libjs-jquery-ui (>= 1.12),
         libjs-marked (>= 0.3),
         libjs-mathjax (>= 2.5),
         libjs-moment (>= 2.8.4),
         libjs-requirejs (>= 2.1),
         libjs-term.js,
         libjs-text-encoding (>= 0.1),
         libjs-underscore (>= 1.5),
         libjs-jquery-typeahead (>= 2.0),
Recommends: python-ipywidgets,
            python-ipykernel
Suggests: python-notebook-doc
Built-Using: ${js:Built-Using}
Description: Jupyter interactive notebook (Python 2)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 2 library.
 .
 This package is not required to run Python 2 code in the notebook, only to
 allow Python 2 code to interact directly with the notebook server.

Package: python3-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-terminado (>= 0.3.3),
         libjs-backbone (>= 1.2),
         libjs-bootstrap (>= 3.3),
         libjs-bootstrap-tour (>= 0.9),
         libjs-codemirror,
         libjs-es6-promise (>= 1.0),
         fonts-font-awesome (>= 4.2),
         libjs-jquery,
         libjs-jquery-ui (>= 1.12),
         libjs-marked (>= 0.3),
         libjs-mathjax (>= 2.5),
         libjs-moment (>= 2.8.4),
         libjs-requirejs (>= 2.1),
         libjs-term.js,
         libjs-text-encoding (>= 0.1),
         libjs-underscore (>= 1.5),
         libjs-jquery-typeahead (>= 2.0),
Recommends: python3-ipywidgets,
            python3-ipykernel
Suggests: python-notebook-doc
Built-Using: ${js:Built-Using}
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.

Package: jupyter-notebook
Architecture: all
Section: science
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-notebook (= ${binary:Version})
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the jupyter-notebook script.
