=== debian/rules ===
#!/usr/bin/make -f

JSBASE:=/usr/share/javascript
COMP:=notebook/static/components
JSUSING:=underscore backbone jquery jquery-ui bootstrap bootstrap-tour moment codemirror term.js jquery-typeahead
BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))

export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
export LC_ALL=C.UTF-8

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	#backbone
	mkdir -p $(COMP)/backbone
	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js

	#bootstrap
	ln -s $(JSBASE)/bootstrap $(COMP)/

	#bootstrap-tour
	mkdir -p $(COMP)/bootstrap-tour/build/js
	mkdir -p $(COMP)/bootstrap-tour/build/css
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.js $(COMP)/bootstrap-tour/build/js/
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.css $(COMP)/bootstrap-tour/build/css/

	#codemirror
	ln -s $(JSBASE)/codemirror $(COMP)/

	#es6-promise
	mkdir -p $(COMP)/es6-promise
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/promise.js
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/es6-promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/es6-promise.js

	#jquery
	ln -s $(JSBASE)/jquery $(COMP)/

	#jquery-typeahead
	mkdir -p $(COMP)/jquery-typeahead
	ln -s $(JSBASE)/jquery-typeahead $(COMP)/jquery-typeahead/dist

	#jquery-ui
	mkdir -p $(COMP)/jquery-ui/ui/minified
	mkdir -p $(COMP)/jquery-ui/themes/smoothness
	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/ui/minified/
	ln -s $(JSBASE)/jquery-ui/themes/base/jquery-ui.min.css $(COMP)/jquery-ui/themes/smoothness/
	ln -s $(JSBASE)/jquery-ui/themes/base/images $(COMP)/jquery-ui/themes/smoothness/

	#marked
	mkdir -p $(COMP)/marked/lib
	ln -s $(JSBASE)/marked/marked.js $(COMP)/marked/lib/

	#mathjax
	ln -s $(JSBASE)/mathjax $(COMP)/MathJax

	#moment
	mkdir -p $(COMP)/moment/min
	ln -s $(JSBASE)/moment/moment.js $(COMP)/moment/
	ln -s $(JSBASE)/moment/moment.min.js $(COMP)/moment/min/

	#requirejs
	ln -s $(JSBASE)/requirejs $(COMP)/

	#term.js
	mkdir -p $(COMP)/term.js/src
	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/src/

	#text-encoding
	mkdir -p $(COMP)/text-encoding/lib
	ln -s $(JSBASE)/text-encoding/encoding.js $(COMP)/text-encoding/lib/

	#underscore
	mkdir -p $(COMP)/underscore
	ln -s $(JSBASE)/underscore/underscore.min.js $(COMP)/underscore/underscore-min.js

	#font-awesome
	ln -s /usr/share/fonts-font-awesome $(COMP)/font-awesome

	#google-caja
	mkdir -p $(COMP)/google-caja
	cat debian/missing-sources/css-defs.js \
	    debian/missing-sources/csslexer.js \
	    debian/missing-sources/uri.js \
	    debian/missing-sources/sanitizecss.js \
	    debian/missing-sources/cssparser.js \
	    debian/missing-sources/html4-defs.js \
	    debian/missing-sources/html-sanitizer.js \
	    > debian/missing-sources/html-css-sanitizer-bundle.js
	uglifyjs -o $(COMP)/google-caja/html-css-sanitizer-minified.js \
	            debian/missing-sources/html-css-sanitizer-bundle.js
	dh_auto_configure


override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
endif

MAINTSCRIPTS = debian/python3-notebook.postinst debian/python3-notebook.postrm \
 debian/python-notebook.postinst debian/python-notebook.postrm
NBSECTIONS = $(shell PYTHONPATH=$$PWD python -c "from notebook import nbextensions; \
               print(' '.join(nbextensions.NBCONFIG_SECTIONS))")

mk_maintscript = \
	sed -e 's/SELF/$(1)/g' -e 's/OTHER/$(2)/g' -e 's/NBSECTIONS/$(NBSECTIONS)/g' "$<" > "$@"

debian/python3-notebook.%: debian/pythonX-notebook.%.in
	$(call mk_maintscript,python3,python)

debian/python-notebook.%: debian/pythonX-notebook.%.in
	$(call mk_maintscript,python,python3)

override_dh_auto_install: $(MAINTSCRIPTS)
	dh_auto_install

override_dh_gencontrol:
	echo "js:Built-Using=$(BUILTUSING)" >> debian/python-notebook.substvars
	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
	dh_gencontrol
