## jupyter-notebook 5.2.2

=== debian/changelog ===
jupyter-notebook (5.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 Dec 2017 22:25:37 +0100

jupyter-notebook (5.2.1-2) unstable; urgency=medium

  * Patch tools/build-main.js which should fix being unable to use the
    built-in web terminal, due to failing to load xterm.js

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Nov 2017 21:15:08 +0000

jupyter-notebook (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides with a very-long-line regex related to
    bidirectional text support
  * Install upstream changelog

 -- Gordon Ball <gordon@chronitis.net>  Thu, 16 Nov 2017 20:58:44 +0000

jupyter-notebook (5.1.0-2) unstable; urgency=medium

  * Explicitly set HOME and XDG_RUNTIME_DIR due to tests failing
    on the buildds

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Nov 2017 19:47:56 +0000

jupyter-notebook (5.1.0-1) unstable; urgency=medium

  [ Ximin Luo ]
  * New upstream release.

  [ Gordon Ball ]
  * Binary package jupyter-notebook now depends on jupyter-core, to ensure
    it is possible to run "jupyter notebook"
  * Man page added for new command "jupyter bundlerextension"
  * libjs-term.js has been replaced by libjs-xterm
  * Update Standards-Version to 4.1.1
  * Documentation now includes sample notebooks; a patch is added to ignore
    errors while building these
  * New dependencies: libjs-jed, libjs-requirejs-text
  * New missing-sources: json.js from requirejs-plugins
  * This version is built with a dummy shim replacing the unpackaged
    preact, preact-compat and proptypes javascript libraries. Consequently,
    the shortcut editor will not work.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Nov 2017 18:52:40 +0000
