=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/jupyter/notebook
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
 Build-Depends: debhelper (>= 10),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-setuptools,
                python3-nose <!nocheck>,
@@ -18,8 +17,8 @@
                python3-jupyter-core <!nocheck>,
                python3-jupyter-client <!nocheck>,
                python3-tornado <!nocheck>,
-               python3-nbformat <!nocheck>,
-               python3-nbconvert <!nocheck>,
+               python3-nbformat (>= 4.4) <!nocheck>,
+               python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-terminado <!nocheck>,
                python3-entrypoints <!nocheck>,
@@ -32,35 +31,40 @@
                python-jupyter-core <!nocheck>,
                python-jupyter-client <!nocheck>,
                python-tornado <!nocheck>,
-               python-nbformat <!nocheck>,
-               python-nbconvert <!nocheck>,
+               python-nbformat (>= 4.4) <!nocheck>,
+               python-nbconvert (>= 5) <!nocheck>,
                python-ipykernel <!nocheck>,
                python-terminado <!nocheck>,
                python-entrypoints <!nocheck>,
                python-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-nbsphinx <!nodoc>,
                libjs-backbone (>= 1.2),
                libjs-bootstrap (>= 3.3),
                libjs-bootstrap-tour (>= 0.9),
                libjs-codemirror,
                libjs-es6-promise (>= 1.0),
                fonts-font-awesome (>= 4.2),
+               libjs-jed (>= 1.1.1),
                libjs-jquery,
                libjs-jquery-ui (>= 1.12),
                libjs-marked (>= 0.3),
                libjs-mathjax (>= 2.5),
                libjs-moment (>= 2.8.4),
                libjs-requirejs (>= 2.1),
-               libjs-term.js,
+               libjs-requirejs-text,
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
+               libjs-xterm (>= 2.3),
                nodejs,
                node-less (>= 1.5),
                node-source-map,
                node-requirejs (>= 2.3),
-               node-uglify
+               node-uglify,
+               pandoc
+Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 
@@ -75,16 +79,18 @@
          libjs-codemirror,
          libjs-es6-promise (>= 1.0),
          fonts-font-awesome (>= 4.2),
+         libjs-jed (>= 1.1.1),
          libjs-jquery,
          libjs-jquery-ui (>= 1.12),
          libjs-marked (>= 0.3),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
-         libjs-term.js,
+         libjs-requirejs-text,
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
+         libjs-xterm (>= 2.3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -111,16 +117,18 @@
          libjs-codemirror,
          libjs-es6-promise (>= 1.0),
          fonts-font-awesome (>= 4.2),
+         libjs-jed (>= 1.1.1),
          libjs-jquery,
          libjs-jquery-ui (>= 1.12),
          libjs-marked (>= 0.3),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
-         libjs-term.js,
+         libjs-requirejs-text,
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
+         libjs-xterm (>= 2.3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc
@@ -154,11 +162,13 @@
 Section: science
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-notebook (= ${binary:Version})
+         python3-notebook (= ${binary:Version}),
+         jupyter-core
 Description: Jupyter interactive notebook
  The Jupyter Notebook is a web application that allows you to create and
  share documents that contain live code, equations, visualizations, and
  explanatory text. The Notebook has support for multiple programming
  languages, sharing, and interactive widgets.
  .
- This package contains the jupyter-notebook script.
+ This package provides the jupyter subcommands "notebook", "nbextension",
+ "serverextension" and "bundlerextension".
