=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,14 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=underscore backbone jquery jquery-ui bootstrap bootstrap-tour moment codemirror term.js jquery-typeahead
+JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead xterm requirejs requirejs-text
 BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
 export LC_ALL=C.UTF-8
+export HOME=$(CURDIR)/debian/tmp-home
+export XDG_RUNTIME_DIR=$(HOME)/runtime
+
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild
@@ -35,6 +38,9 @@
 	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/es6-promise.min.js
 	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/es6-promise.js
 
+	#jed
+	ln -s $(JSBASE)/jed $(COMP)/
+
 	#jquery
 	ln -s $(JSBASE)/jquery $(COMP)/
 
@@ -59,14 +65,22 @@
 	#moment
 	mkdir -p $(COMP)/moment/min
 	ln -s $(JSBASE)/moment/moment.js $(COMP)/moment/
-	ln -s $(JSBASE)/moment/moment.min.js $(COMP)/moment/min/
+	ln -s $(JSBASE)/moment/moment-with-locales.js $(COMP)/moment/
+	ln -s $(JSBASE)/moment/moment-with-locales.min.js $(COMP)/moment/min/moment-with-locales.js
 
 	#requirejs
 	ln -s $(JSBASE)/requirejs $(COMP)/
 
-	#term.js
-	mkdir -p $(COMP)/term.js/src
-	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/src/
+	#requirejs-plugins
+	cp -r debian/missing-sources/requirejs-plugins $(COMP)/
+
+	#requirejs-text
+	mkdir -p $(COMP)/requirejs-text
+	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
+
+	#xterm.js
+	mkdir -p $(COMP)/xterm.js
+	ln -s $(JSBASE)/xterm $(COMP)/xterm.js/dist
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib
@@ -91,6 +105,17 @@
 	    > debian/missing-sources/html-css-sanitizer-bundle.js
 	uglifyjs -o $(COMP)/google-caja/html-css-sanitizer-minified.js \
 	            debian/missing-sources/html-css-sanitizer-bundle.js
+
+	#preact (empty shim, fixme)
+	mkdir -p $(COMP)/preact
+	mkdir -p $(COMP)/preact-compat
+	mkdir -p $(COMP)/proptypes
+	cp debian/shim.js $(COMP)/preact/index.js
+	cp debian/shim.js $(COMP)/preact-compat/index.js
+	cp debian/shim.js $(COMP)/proptypes/index.js
+	sed -i $(COMP)/preact/index.js -e 's/#MODNAME#/preact/g'
+	sed -i $(COMP)/preact-compat/index.js -e 's/#MODNAME#/preactCompat/g'
+	sed -i $(COMP)/proptypes/index.js -e 's/#MODNAME#/PropTypes/g'
 	dh_auto_configure
 
 
@@ -99,6 +124,11 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) notebook/static/*/js/main.*.js
+	$(RM) notebook/static/*/js/main.*.js.map
 
 MAINTSCRIPTS = debian/python3-notebook.postinst debian/python3-notebook.postrm \
  debian/python-notebook.postinst debian/python-notebook.postrm
@@ -121,3 +151,10 @@
 	echo "js:Built-Using=$(BUILTUSING)" >> debian/python-notebook.substvars
 	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
 	dh_gencontrol
+
+override_dh_auto_test:
+	mkdir -p $(XDG_RUNTIME_DIR)
+	dh_auto_test
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/source/changelog.rst
