## jupyter-notebook 5.4.1

=== debian/changelog ===
jupyter-notebook (5.4.1-1) unstable; urgency=medium

  * New upstream release 5.4.1
  * Fixes CVE-2018-8768 (malicious notebook can execute javascript)
  * Remove d/.git-dpm and switch to a gbp-style patches-unapplied main branch

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Apr 2018 14:14:27 +0000

jupyter-notebook (5.4.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Update Standards-Version to 4.1.3 (no changes)
  * Retire patch 0003-Unmask-setuptools-in-setup.py (no longer needed)
  * Patch setupbase.py to avoid trying to edit the system copy of bootstrap
  * New dependency: python[3]-send2trash
  * Move d/source.lintian-overrides to d/source/lintian-overrides
  * Set Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Gordon Ball <gordon@chronitis.net>  Mon, 05 Mar 2018 21:40:12 +0100
