=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/jupyter/notebook
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-notebook.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-notebook
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
@@ -20,8 +20,9 @@
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
-               python3-terminado <!nocheck>,
+               python3-terminado (>= 0.8.1) <!nocheck>,
                python3-entrypoints <!nocheck>,
+               python3-send2trash <!nocheck>,
                python3-zmq <!nocheck>,
                python-all,
                python-setuptools,
@@ -34,8 +35,9 @@
                python-nbformat (>= 4.4) <!nocheck>,
                python-nbconvert (>= 5) <!nocheck>,
                python-ipykernel <!nocheck>,
-               python-terminado <!nocheck>,
+               python-terminado (>= 0.8.1) <!nocheck>,
                python-entrypoints <!nocheck>,
+               python-send2trash <!nocheck>,
                python-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -67,6 +69,7 @@
 Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
+Rules-Requires-Root: no
 
 Package: python-notebook
 Architecture: all
