=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,9 @@
 
 override_dh_auto_test:
 	mkdir -p $(XDG_RUNTIME_DIR)
-	dh_auto_test
+	# send2trash deletion tests fail if the temporary notebook files
+	# are on a different block device to the implicit trash directory in HOME
+	TMPDIR=$(XDG_RUNTIME_DIR) dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/source/changelog.rst
