## jupyter-notebook 5.7.4

=== debian/changelog ===
jupyter-notebook (5.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release 5.7.4
  * Refresh existing patches
  * Update to Standards-Version 4.3.0
  * Patch terminal support to work with the currently packaged version
    of node-xterm
  * Use packaged po2json for translations
  * New dependencies: prometheus_client, ipaddress, mock

 -- Gordon Ball <gordon@chronitis.net>  Thu, 14 Feb 2019 07:49:43 +0000
