=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/jupyter/notebook
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-notebook.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-notebook
@@ -12,6 +12,7 @@
                python3-all,
                python3-setuptools,
                python3-nose <!nocheck>,
+               python3-nose-exclude <!nocheck>,
                python3-requests <!nocheck>,
                python3-ipython (>= 4) <!nocheck>,
                python3-jupyter-core <!nocheck>,
@@ -20,6 +21,7 @@
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
+               python3-prometheus-client <!nocheck>,
                python3-terminado (>= 0.8.1) <!nocheck>,
                python3-entrypoints <!nocheck>,
                python3-send2trash <!nocheck>,
@@ -27,6 +29,7 @@
                python-all,
                python-setuptools,
                python-nose <!nocheck>,
+               python-nose-exclude <!nocheck>,
                python-requests <!nocheck>,
                python-ipython (>= 4) <!nocheck>,
                python-jupyter-core <!nocheck>,
@@ -34,7 +37,10 @@
                python-tornado <!nocheck>,
                python-nbformat (>= 4.4) <!nocheck>,
                python-nbconvert (>= 5) <!nocheck>,
+               python-mock <!nocheck>,
+               python-ipaddress <!nocheck>,
                python-ipykernel <!nocheck>,
+               python-prometheus-client <!nocheck>,
                python-terminado (>= 0.8.1) <!nocheck>,
                python-entrypoints <!nocheck>,
                python-send2trash <!nocheck>,
@@ -59,16 +65,15 @@
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
-               libjs-xterm (>= 2.3),
+               libjs-xterm (<< 3),
                nodejs,
                node-less (>= 1.5),
                node-source-map,
                node-requirejs (>= 2.3),
                node-uglify,
+               node-po2json,
                pandoc
 Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Rules-Requires-Root: no
 
 Package: python-notebook
@@ -93,7 +98,7 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (>= 2.3),
+         libjs-xterm (<< 3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -131,7 +136,7 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (>= 2.3),
+         libjs-xterm (<< 3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc
