=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export LC_ALL=C.UTF-8
 export HOME=$(CURDIR)/debian/tmp-home
 export XDG_RUNTIME_DIR=$(HOME)/runtime
+export PYBUILD_TEST_ARGS=--exclude-dir notebook/tests/selenium
 
 
 %:
@@ -20,7 +21,9 @@
 	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js
 
 	#bootstrap
-	ln -s $(JSBASE)/bootstrap $(COMP)/
+	mkdir -p $(COMP)/bootstrap
+	ln -s $(JSBASE)/bootstrap $(COMP)/bootstrap/dist
+	ln -s $(JSBASE)/bootstrap/less $(COMP)/bootstrap/
 
 	#bootstrap-tour
 	mkdir -p $(COMP)/bootstrap-tour/build/js
@@ -49,9 +52,8 @@
 	ln -s $(JSBASE)/jquery-typeahead $(COMP)/jquery-typeahead/dist
 
 	#jquery-ui
-	mkdir -p $(COMP)/jquery-ui/ui/minified
 	mkdir -p $(COMP)/jquery-ui/themes/smoothness
-	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/ui/minified/
+	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/
 	ln -s $(JSBASE)/jquery-ui/themes/base/jquery-ui.min.css $(COMP)/jquery-ui/themes/smoothness/
 	ln -s $(JSBASE)/jquery-ui/themes/base/images $(COMP)/jquery-ui/themes/smoothness/
 
@@ -79,8 +81,10 @@
 	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
 
 	#xterm.js
-	mkdir -p $(COMP)/xterm.js
-	ln -s $(JSBASE)/xterm $(COMP)/xterm.js/dist
+	mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
+	ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
+	ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
+	ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib
@@ -122,7 +126,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.9' python3 -m sphinx -N -bhtml docs/source/ build/html
 endif
 
 override_dh_auto_clean:
