## jupyter-notebook 5.7.8

=== debian/changelog ===
jupyter-notebook (5.7.8-1) unstable; urgency=medium

  * New upstream release 5.7.8
  * Fixes CVE-2019-9644 (Closes: #924515)
  * Fixes CVE-2019-10255 (Closes: #925939)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 May 2019 18:12:38 +0000

jupyter-notebook (5.7.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix unhandled symlink to directory conversion for bootstrap, through
    python{,3}-notebook.maintscript. (Closes: #924232)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 15:52:25 +0100

jupyter-notebook (5.7.4-2) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Add (retrospective) CVEs fixed by 5.7.4-1.

  [ Andrej Shadura ]
  * Temporarily use term.js once again instead of the RC-buggy node-xterm
    (Closes: #924111).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Mar 2019 16:21:07 +0000
