=== debian/control ===
--- 
+++ 
@@ -65,7 +65,8 @@
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
-               libjs-xterm (<< 3),
+#               libjs-xterm (<< 3),
+               libjs-term.js,
                nodejs,
                node-less (>= 1.5),
                node-source-map,
@@ -98,7 +99,8 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (<< 3),
+         libjs-term.js,
+#         libjs-xterm (<< 3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -136,7 +138,8 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (<< 3),
+         libjs-term.js,
+#         libjs-xterm (<< 3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc
