=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead xterm requirejs requirejs-text
+JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead term.js requirejs requirejs-text
 BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
@@ -81,10 +81,12 @@
 	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
 
 	#xterm.js
-	mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
-	ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
-	ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
-	ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
+	#mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
+	#ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
+	#ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
+	#ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
+	mkdir -p $(COMP)/term.js
+	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/term.js
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib
