=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/jupyter/notebook/tags .*/archive/v?([\d\.]+).tar.gz
